PETSc version 3.17.4
Fix/Edit manual page

# DMCreateLabelAtIndex

Create a label of the given name at the given index. If it already exists, move it to this index.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateLabelAtIndex(DM dm, PetscInt l, const char name[])

Not Collective

### Input Parameters

| dm | - The DM object
| l | - The index for the label
| name | - The label name

### See Also

DMCreateLabel(), DMLabelCreate(), DMHasLabel(), DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages